#
# spec file for package python-websockify
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-websockify
Version:        0.8.0
Release:        2.5
Summary:        Websockify
License:        LGPL-3.0 and MPL-2.0 and BSD-2-Clause and BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/kanaka/websockify
Source:         http://pypi.python.org/packages/source/w/websockify/websockify-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
%if 0%{?suse_version}
Recommends:     python-numpy
%endif
Requires:       python-pyOpenSSL
Requires:       python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
websockify was formerly named wsproxy and was part of the
noVNC project.

At the most basic level, websockify just translates WebSockets traffic
to normal socket traffic. Websockify accepts the WebSockets handshake,
parses it, and then begins forwarding traffic between the client and
the target in both directions.

%prep
%setup -q -n websockify-%{version}
# remove unwanted shebang
sed -i '1 { /^#!/ d }' websockify/websocket*.py
# drop unneeded executable bit
chmod -x include/web-socket-js/web_socket.js

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSE.txt README.md
%{_bindir}/websockify
%{_datadir}/websockify
%{python_sitelib}/*

%changelog
* Mon May  2 2016 dmueller@suse.com
- update to 0.8.0:
  * Make websockify properly terminate children on SIGTERM (#226)
  * Remove logging in signal handlers (this can cause Python to hang under certain conditions) (#219)
  * Make it easier to log to a file (#205)
  * Add support for IPv6 addresses in tokens in the TokenFile token plugins (#197)
  * Improve auth plugin framework to enable better support for HTTP auth (#194, #201)
  * Fix bug in JSONTokenAPI token plugin (#192)
  * Fix a missing variable in the exception handler (#178)
  * Python 3 support fixes (#140, #155, #159)
  * Generic token-parsing plugins support (#162)
  * Generic authentication plugins support (#172)
  * Fixed frame corruption on big-endian systems (#161)
  * Support heartbeats (via PING) and automatic responses to PONG (#169)
  * Automatically reject unmasked client frames by default (strict mode) (#174)
  * Automatically restart interrupted select calls (#175)
  * Make 'run' respect environment settings (including virtualenv) (#176)
* Mon Oct  5 2015 hguo@suse.com
- Add missing dependency on python-setuptools
* Sat Jul 25 2015 seife+obs@b1-systems.com
- fix non-SUSE build by conditionalizing "Recommends:" tag
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.6.1:
  * PATCH RELEASE: Fixes a bug causing file_only to not be passed
    properly
- switch archive to zip (tar.gz not available on pypi)
- add unzip as BuildRequires
- remove unwanted shebang in python files
- drop unneeded executable bit of web_socket.js
* Tue Sep 16 2014 tbechtold@suse.com
- update to version 0.6.0:
  * **NOTE** : 0.6.0 will break existing code that sub-classes WebsocketProxy
  * Refactor to use standard SocketServer RequestHandler design
  * Fix zombie process bug on certain systems when using multiprocessing
  * Add better unit tests
  * Log information via python `logging` module
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Jul  3 2013 dmueller@suse.com
- update to 0.5.1:
  * use upstream einaros/ws (>=0.4.27) with websockify.js
  * file_only and no_parent security options for WSRequestHandler
  * Update build of web-socket-js (c0855c6cae)
  * add include/web-socket-js-project submodule to gimite/web-socket-js
    for DSFG compliance.
  * drop Hixie protocol support
* Mon Apr 29 2013 dmueller@suse.com
- update to 0.4.1:
  * add include/ directory and remove some dev files from source
    distribution.
  * use Buffer base64 support in Node.js implementation
* Fri Jan 18 2013 cfarrell@suse.com
- license update: LGPL-3.0 and MPL-2.0 and BSD-2-Clause and BSD-3-Clause
  See LICENSE.txt
* Thu Jan 17 2013 saschpe@suse.de
- Initial version
